Supporto volontario e collaborativo per Joomla!® in italiano

In arrivo la nuova versione Joomla! 3.3

Valutazione attuale: 5 / 5

Stella attivaStella attivaStella attivaStella attivaStella attiva
 
Joomla 3.3Come era stato annunciato da tempo ecco che il "dev team" del progetto Joomla! è quasi pronto a rilasciare la prossima versione 3.3 con supporto a breve termine (STS).

Questo aggiornamento, che prevede la disponibilità della versione stabile per fine mese di aprile, prosegue lo sviluppo della versione 3.2, di cui mantiene la piena compatibilità, ed aggiunge alcune interessanti novità...


In verità il ciclo di sviluppo prevedeva inizialmente solo due versioni STS ogni 6 mesi tra i rilasci delle versioni con supporto a lungo termine (LTS), ma per alcune necessità e per allungare i tempi del supporto alla versione 2.5 si è passati anche per l'ottima 3.2 ed a breve avremo a disposizione la 3.3 che "teoricamente" ci dovrebbe poi portare alla tanto attesa 3.5 LTS in questo autunno.

Questa una tabella che mostra i tempi di supporto che sono stati dedicati in passato alle vecchie versioni e quelli previsti per le future:
Ciclo di sviluppo
grafica tratta dalle slide di Sander Potjer che ha presentato al recente JoomlaDay in Danimarca

Il grafico indica quanto confermato dal team di Joomla in questa notizia: Update on the Joomla! 3.3 release schedule
Avremo ancora aggiornamenti per l'attuale versione 2.5 fino a fine anno 2014, poi sarà interrotto il supporto a questa popolare versione e non saranno più rilasciati aggiornamenti, neppure per falle di sicurezza. Quindi è bene prevedere un passaggio dei siti che utilizzano la versione 2.5 alla 3.5 quando sarà disponibile. E' già possibile passare dalla 2.5 alle versioni STS del ramo 3 ma attenzione, il template dovrà essere adattato al codice di questo nuovo ramo di sviluppo ed anche se oramai tutte le maggiori estensioni sono disponibili su Joomla 3 è bene controllare prima di effettuare questo passaggio. 

Come per la 3.0 & 3.1& 3.2 anche per installare questa nuova versione è necessario che il server soddisfi a pieno alcuni requisiti tecnici, fra cui:
- Versione di PHP almeno 5.3.10 o superiore
- Magic Quotes GPC Off
- Versione di Mysql almeno 5.1 e con supporto a InnoDB.

In questa notizia viene descritto come verificare queste caratteristiche sul server che ospita in nostro sito.

Come accennato in precedenza il framework e la struttura del database di Joomla!® 3 ha subito una notevole variazione rispetto alla precedente versione 2.5. In questa pagina è possibile conoscere alcuni di questi aspetti tecnici. Sono state inserite nuove librerie come jQuery e Bootstrap, questi cambiamenti aumentano notevolmente le potenzialità del CMS rendendolo per esempio fluido ed adattabile anche alla navigazione da dispositivi mobili, ma i template e le estensioni funzionanti con Joomla!® 2.5 dovranno essere rivisti e corretti per poter essere compatibili con Joomla!® 3.2.
Alcuni degli sviluppatori delle più note estensioni hanno già mostrato come questo adattamento sia già stato possibile e migliaia di estensioni sono ora disponibili nella JED compatibili con Joomla!® 3, mostrando il relativo simbolo Compatibile con Joomla!® 3.0. In questo post sul forum sono elencate alcune delle principali estensioni gratuite compatibili con Joomla!® 3.

Se al rilascio della 3.0 avevamo manifestato l'avviso di utilizzarla con cautela solo per progetti personali e non per siti di produzione ora con la 3.2 e la prossima 3.3 possiamo consigliarne l'utilizzo anche per i siti di produzione. Ovviamente non è necessario correre ad aggiornare, magari attendere qualche mese con i necessari aggiustamenti, ma il progetto di Joomla!® 3 ha dimostrato una ottima stabilità come per l'attuale versione LTS 2.5 che continuerà ad essere supportata fino alla fine del 2014.
Abbiamo quindi ora due versioni stabili di Joomla!®, la LTS 2.5 e la STS 3.2, il nostro consiglio è quello di continuare ad utilizzare la 2.5 per i vostri progetti già online mentre iniziare ad utilizzare la 3.2 od attendere la stabile della 3.3 per i nuovi progetti da mettere online.
L'aggiornamento dalla 3.2 alla 3.3 non richiederà particolari interventi a livello di configurazione, può essere effettuato in modo automatico premendo un tasto dal pannello di controllo (è sempre consigliato effettuare prima un backup) oppure installando il pacchetto di aggiornamento, le estensioni ed il template dovrebbero continuare a funzionare regolarmente. E' buona norma prima di effettuare l'aggiornamento verificare che anche tutte le estensioni esterne utilizzate siano aggiornate, consultare poi le informazioni nei siti dei produttori per verificare se viene indicata la compatibilità con Joomla 3.2



Aggiornamento dalla 2.5
Per chi desidera aggiornare dalla versione 2.5 alla 3 è possibile farlo con la procedura automatica direttamente da pannello di controllo. Lanciare la procedura solo da installazioni aggiornate all'ultima versione disponibile di Joomla!® 2.5. Ovviamente è necessario che il server che ospita il sito abbia i requisiti che abbiamo visto prima e che le estensioni ed il template presente sul sito siano poi disponibili anche per questa nuova versione di Joomla!®.
Dal componente nativo di Joomla!® "'Aggiornamento di Joomla!®'" impostare nelle opzioni il parametro "Server di aggiornamento" su "Supporto a breve termine". Tornando sul pannello di controllo sarà segnalata la presenza dell'aggiornamento disponibile. Se non viene segnalato è necessario dalla Gestione estensioni--> Aggiorna premere in alto a sinistra su "Cerca aggiornamenti". Avviando l'aggiornamento alla 3 sarà scaricata la versione 3 inglese, aggiornato automaticamente il database ed eliminati i file non più necessari. L'operazione potrebbe richiedere qualche minuto e su alcuni hosting non propriamente configurati per Joomla!® c'è il rischio che la procedura automatica non vada a buon fine. Terminato l'aggiornamento automatico è necessario installare il pacchetto lingua italiano per Joomla!® 3 presente nell'area download.

Controllare poi in Gestione estensioni --> Esplora se sono presenti nuove estensioni da installare (dopo aver cancellato la cache e lanciato il tasto "Esplora" in alto a destra). Controllare anche in Gestione estensioni --> Database se la versione dello schema del database risulta aggiornata.
Consigliamo come sempre di effettuare un backup completo del sito (file e database) prima di procedere con la procedura di aggiornamento a Joomla!® 3


Disponibile anche il pacchetto di aggiornamento da 2.5 a 3 nell'area download, essendo di dimensioni superiori ai 2Mb sconsigliamo di scaricarlo ed installarlo come una normale estensione ma provare ad estrarre il contenuto nella cartella tmp del vostro sito e lanciare l'aggiornamento da Gestione estensioni--> Installa da cartella


I template e le estensioni funzionanti con Joomla!® 2.5 dovranno essere rivisti e corretti per poter essere compatibili con Joomla!® 3.3, mentre i template e le estensioni funzionanti con Joomla!® 3.2 dovrebbero già essere compatibili anche con Joomla!® 3.3 (consultare però prima dell'aggiornamento i rispettivi sviluppatori per avere conferma)

 

Joomla!® 3.3 in arrivo con nuovo requisito minimo di versione di PHP Si avvisa che per motivi inerenti la sicurezza si renderà necessario da questa prossima versione 3.3 aumentare il requisito minimo della versione di PHP presente sul server che ospita il sito Joomla!®. Attualmente Joomla!® 3.x necessita di PHP 5.3.1 mentre sarà necessario avere almeno PHP 5.3.10 per poter aggiornare alla 3.3 od eseguire una nuova installazione di questa versione di Joomla!®.

Per verificare quale versione di PHP è presente sul server del proprio sito è possibile accedere alla schermata "Informazioni di sistema" dal menu "Sistema" del pannello amministratore di Joomla!®. Se viene riscontrata una versione inferiore alla 5.3.10 è consigliato contattare il proprio provider per richiedere l'aggiornamento.

 

Il supporto alla versione 3.2 è stato prolungato fino ad ottobre 2014 proprio a causa di questo nuovo limite di versione di PHP, così da dare modo e tempo a chi utilizza la 3.2 su server con PHP inferiore alla versione 5.3.10 di aggiornare quella piattaforma o spostare il sito su un server più compatibile.
Ricordiamoci anche di aggiornare le eventuali piattaforme che utilizziamo per giocare con Joomla in locale sui nostri PC. Xampp 1.7.3 ha php 5.3.1 quindi non permette l'utilizzo di Joomla! 3.3, si consiglia di utilizzare Xampp 1.8.2 o WampServer 2.2 che hanno entrambi già PHP 5.4 (sconsigliato utilizzare le ultime versioni con php 5.5).

Le novità in Joomla! 3.3

Come al solito mi sono dilungato moltissimo con questi articolati discorsi sulle versioni e sui vari passaggi..... torniamo ora all'argomento principale, cioè la prossima nuova versione 3.3 e le novità che contiene. Per rilassarci un attimo vediamo questo breve video di presentazione:

 

  • Eliminato il caricamento della libreria JavaScript "MooTools" e convertito il suo utilizzo con la libreria JavaScript jQuery che era già prensete in Joomla 3. Questo dovrebbe alleggerire un poco il peso delle pagine generate da Joomla ed evitare i conflitti che si generavano fra le due librerie.
  • Attivata la modifica dei moduli direttamente "inline" dal lato sito (frontend).(funzionalità che sarà teoricamente implementata nei prossimi aggiornamenti di Joomla 3.3)
  • Supporto per le "Cloud Storage APIs" per interagire con piattaforme Cloud come Amazon S3, Google Cloud Storage e Rackspace Cloud Files.
  • Completamento dell'utilizzo dei Microdata anche per tutti i contenuti del CMS. (già attivi di default in questa 3.3beta1, non c'è quindi un parametro da cercare in amministrazione)

Queste elencate sono solo alcune delle più importanti novità, che arrivano grazie alla collaborazione degli studenti che hanno partecipato alle passate edizioni del Google Summer of Code, ma la versione 3.3 contiene inoltre circa 75 correzioni ed aggiustamenti (dalla 3.2.3) che sono stati risolti in questi mesi dal team di sviluppo e segnalati dalla community.

Questa versione Beta di Joomla 3.3 è ancora in fase di sviluppo e deve essere utilizzata solo per effettuare test, non è consigliato l'utilizzo su siti di produzione. Indicativamente alla fine di aprile dovrebbe essere rilasciata la versione stabile.


E Joomla!® 1.5?

Il supporto alla versione 1.5 di Joomla!® è terminato nel 2012, è quindi consigliato prevedere il passaggio alle nuove versioni 2.5 o 3. Nel wiki è disponibile una guida alla migrazione.



CommentaCommenta questo articolo sul forum


Ultima versione di Joomla!®

downloadVer. 3.7.5 Stabile Italiana
Data di rilascio: 17 Agosto 2017
(leggi la notizia Demo online

Le migliori estensioni gratuite

Un elenco aggiornato con i link a più di 100 estensioni fra componenti, moduli e plugin gratuiti per Joomla! 3

Manuale in italiano

Manuale in italianoPer conoscere meglio Joomla!, le sue caratteristiche ed il metodo di utilizzo leggi il manuale tradotto in italiano.

Molto utili anche le risposte alle domande più frequenti: FAQ

Sicurezza del proprio sito Joomla!Leggi anche: Nozioni sulla sicurezza del proprio sito

Autori di articoli recenti

Invia un articolo!Scrivi un articolo su Joomla.it e ricevi i ricavi dalle pubblicità di Google Adsense!
Segui queste istruzioni, condividi e collabora con la community. L'elenco degli autori attivi sul sito.

Libri consigliati

Torna su

Joomla.it sui Social Network

JoomlaDay Italia

JoomlaDay

Newsletter

Inserisci qui la tua e.mail: